Package org.eclipse.emf.cdo.transaction

# Class CDOAutoLocker

java.lang.Object
org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1
org.eclipse.emf.cdo.transaction.CDOAutoLocker

All Implemented Interfaces:
  `CDOTransactionHandler1`, `CDOTransactionHandler1.WithUndo`, `CDOTransactionHandlerBase`

Direct Known Subclasses:
  `CDOAutoLocker.ForSingleValuedChanges`

public class CDOAutoLocker extends CDODefaultTransactionHandler1
A `transaction handler` that automatically acquires `write locks` when `objects` are modified.

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOAutoLocker.ForSingleValuedChanges`
An `auto locker` that only locks objects when their single-valued features are changed.

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionHandler1

`CDOTransactionHandler1.WithUndo`

## Constructor Summary

Constructors
Constructor
Description
`CDOAutoLocker()`
`CDOAutoLocker(long timeout)`

## Method Summary

Modifier and Type
Method
Description
`void`
`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
This implementation does nothing.

### Methods inherited from class org.eclipse.emf.cdo.transaction.CDODefaultTransactionHandler1

`attachingObject, detachingObject, handleDefault, undoingObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOAutoLocker

public CDOAutoLocker(long timeout)

### CDOAutoLocker

public CDOAutoLocker()

## Method Details

### modifyingObject

public void modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)
Description copied from class: `CDODefaultTransactionHandler1`
This implementation does nothing. Clients may override to provide specialized behavior.

Specified by:
  `modifyingObject` in interface `CDOTransactionHandler1`
Overrides:
  `modifyingObject` in class `CDODefaultTransactionHandler1`